libxml++ 2.42.4

Protected Member Functions | List of all members
xmlpp::NonCopyable Class Reference

A base for classes which cannot be copied. More...

`#include <libxml++/noncopyable.h>`

Inheritance diagram for xmlpp::NonCopyable:
[legend]

## Protected Member Functions
| NonCopyable ()
| NonCopyable (const NonCopyable &)=delete
virtual | ~NonCopyable ()
NonCopyable & | operator= (const NonCopyable &)=delete

## Detailed Description

A base for classes which cannot be copied.

## Constructor & Destructor Documentation

## ◆ NonCopyable() [1/2]

xmlpp::NonCopyable::NonCopyable | ( |  | ) |
| protected

## ◆ ~NonCopyable()

virtual xmlpp::NonCopyable::~NonCopyable | ( |  | ) |
| protected virtual

## ◆ NonCopyable() [2/2]

xmlpp::NonCopyable::NonCopyable | ( | const NonCopyable & |  | ) |
| protected delete

## Member Function Documentation

## ◆ operator=()

NonCopyable & xmlpp::NonCopyable::operator= | ( | const NonCopyable & |  | ) |
| protected delete